## org.codehaus.groovy.runtime.callsite
Class MetaClassConstructorSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.MetaClassConstructorSite

All Implemented Interfaces:
  CallSite

    public class MetaClassConstructorSite

extends MetaClassSite

Call site for constructor meta class - cached method - not cached

Author:
  Alex Tkachman

Field Summary

Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite
`metaClass`

Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite
`array, index, name, usage`

Constructor Summary
`MetaClassConstructorSite(CallSite site, MetaClass metaClass)`

Method Summary
`Object` `callConstructor(Object receiver, Object[] args)`

Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaClassConstructorSite

    public MetaClassConstructorSite(CallSite site,
                                    MetaClass metaClass)

Method Detail

### callConstructor

    public Object callConstructor(Object receiver,
                                  Object[] args)
                           throws Throwable

  Specified by:
    `callConstructor` in interface `CallSite`
  Overrides:
    `callConstructor` in class `AbstractCallSite`
  Throws:
    `Throwable`

Copyright © 2003-2009 The Codehaus. All rights reserved.